[FreeNX-kNX] Nomachine 4 out....
Marco Passerini
marco.passerini at csc.fi
Thu Oct 17 14:34:37 UTC 2013
I wrote a script for this. I added a menu with few language entries,
which runs "script.sh en" or "script.sh es" or "script.sh de" commands....
It adds the setxkbmap to the .bashrc file so that it's persistent across
logins.
################################################################
#!/bin/bash
# The script changes the keyboard mapping to the one chosen
# in the argument (e.g. fi, en...), and stores it
# to .bashrc in the user home folder, so that it's
# persistent across logins.
die () {
echo >&2 "$@"
exit 1
}
[ "$#" -eq 1 ] || die "1 argument required, $# provided"
echo $1 | grep -E -q '^[a-z]{2}$' || die "Exactly 2 letters required for
keyboard layout, $1 provided"
LAYOUT=$1
BASHRC=~/.bashrc
if [ -f $BASHRC ];
then
if grep -q setxkbmap $BASHRC
then
#echo 'An old entry is there, replace it'
sed -i "s/setxkbmap.*/setxkbmap $1/" $BASHRC
else
#echo 'First occurance, add the keyboard mapping'
echo "setxkbmap $1" >> $BASHRC
fi
else
#echo '.bashrc file missing! Create a new one and add the mapping'
echo "setxkbmap $1" >> $BASHRC
fi
#echo 'Now set it for the running shell'
setxkbmap $1
##################################################################
On 2013-10-17 17:00, Sabuj Pattanayek wrote:
>
>
>
> On Thu, Oct 17, 2013 at 8:07 AM, Marco Passerini <marco.passerini at csc.fi
> <mailto:marco.passerini at csc.fi>> wrote:
>
> On 2013-10-17 15:54, Sabuj Pattanayek wrote:
>
>
> yup. Anyone have a surefire way of getting fluxbox to work in
> RHEL6 with
> NX? It just refuses to show anything but a root window.
>
>
>
> Are you talking about the Nomachine client 4 or in general?
>
>
> nx 3.5 client to freenx server from the centos packages. I don't think
> the nx 4 client works with fluxbox for me either, but it's been a while
> since I tried.
>
>
> If you're talking in general about fluxbox+nx :
> The RHEL/EPEL fluxbox package versions didn't work well for me with
> NX, the CPU goes to 100% and you can't do anything. This is the
> reason: http://bugs.debian.org/cgi-__bin/bugreport.cgi?bug=546707
> <http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=546707>
> As a workaround I downloaded the source RPMs from
> http://pkgs.org/fedora-17/__fedora-x86_64/fluxbox-1.3.2-4.__fc17.x86_64.rpm/download/
> <http://pkgs.org/fedora-17/fedora-x86_64/fluxbox-1.3.2-4.fc17.x86_64.rpm/download/>
> and installed those. Now it works kinda ok, but I still have
> problems with the keyboard layout, it does not receive the client
> layout, it just defaults to US keyboard.
>
>
> I use this to fix the arrow keys, run it once per session, it's annoying :
>
> % alias | grep fixnx
> fixnxkbsetxkbmap -layout us -model pc105
>
>
> ________________________________________________________________
> Were you helped on this list with your FreeNX problem?
> Then please write up the solution in the FreeNX Wiki/FAQ:
>
> http://openfacts2.berlios.de/wikien/index.php/BerliosProject:FreeNX_-_FAQ
>
> Don't forget to check the NX Knowledge Base:
> http://www.nomachine.com/kb/
>
> ________________________________________________________________
> FreeNX-kNX mailing list --- FreeNX-kNX at kde.org
> https://mail.kde.org/mailman/listinfo/freenx-knx
> ________________________________________________________________
>
More information about the FreeNX-kNX
mailing list